Core - Bug # 61563

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category:
Created: 2014-09-13 Assigned To:
Updated: 2015-01-02 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: creating new file/folder from the context menu fails.
Description

creating new file/folder from the context menu fails.

How to reproduce:

1. go to file list module

2. click on the folder icon on the list
3. select "new"

you will see following error:

Not Found
The requested URL
/typo3/file_newfolder.php&target=1:/default/templates/extensions/tx_news/Templates/Administration/&returnUrl=/typo3/mod.php?M

p?M=file_list&moduleToken=304c812fc03183cd1b16e1da6f89a459b2f0951f&id=1%3A%2Fdefault¥%2Ftemplates%2Fextensions%o4
ns%2Ftx_news%2FTemplates%2F was not found on this server.

tested on €322b5f3d6396edba41d01d1ced4265afb2a2ca25
Related issues:
related to Core - Task # 61215: Make file_newfolder.php dispatched Resolved 2014-08-26

History

#1 - 2014-09-13 00:37 - Tymoteusz Motylewski

the problem is that the first parameter is added with "&" instead of "?"

#2 - 2014-09-13 00:40 - Tymoteusz Motylewski

the patch from https://review.typo3.org/#/c/32405/2 also solves this issue.

The question is whether this problem also occures on 6.2 and if yes, how to solve it there.

#3 - 2014-09-17 01:35 - Felix Kopp

2015-08-04 1/2


https://review.typo3.org/#/c/32405/2

Is this issue resolved?

#4 - 2014-09-17 11:06 - Tymoteusz Motylewski

on 6.3 yes, need to check what about 6.2

#5 - 2014-09-17 12:32 - Mateusz Wojtuta

| have checked it in TYPO3 6.2.4-dev and it works correctly.

#6 - 2015-01-02 18:33 - Benjamin Mack
- Status changed from New to Resolved

works as expected now.
